<?

    include("authentication.php");

	include("conexao_e_agenda.php");

	include("funcoes.php");

	$id_usuario = $_SESSION["id_usuario"];

    $nome_usuario = $_SESSION["nome_usuario"];



if (isset($_POST['id_c'])) {

$id_c=$_POST['id_c'];

} else {

$id_c="";

}

if (isset($_POST['link'])) {

$link=$_POST['link'];

} else {

$link="";

}

if (isset($_POST['target'])) {

$target=$_POST['target'];

} else {

$target="";

}

if (isset($_POST['categoria'])) {

$categoria=$_POST['categoria'];

} else {

$categoria="";

}

if (isset($_POST['origem'])) {

$origem=$_POST['origem'];

} else {

$origem="";

}

if (isset($_POST['texto'])) {

$texto=$_POST['texto'];

} else {

$texto="";

}

if (isset($_POST['ordem'])) {

$ordem=$_POST['ordem'];

} else {

$ordem="";

}

if (isset($_POST['dt_banner'])) {

$dt_banner=datapadrao_date($_POST['dt_banner']);

} else {

$dt_banner=date("Y-m-d");

}

$prefixo = substr($origem,4,2);

//print_r($_FILES);

//exit();

/*

$tamanho = 204800;



 if($_FILES['documento']['size'] > $tamanho) 

        {

		$tam_arquivo = $_FILES['documento']['size'];

		echo "<br><br><center>Arquivo em tamanho $tam_arquivo Kbytes muito grande! <br><br>A imagem deve ser de no máximo " . $tamanho . " Kbytes(200k) com a resolução até 1024x768 para uma boa visualizaçao no site.<br><br> Diminua e envie novamente</center><br><br>";

			

			print "<a href='cad_noticia_alt.php?id_tcomp=$id_c' target='_self'><center><img src='btn_voltar.gif' border=0></center></a>";

			exit();

        }

*/

$MAXUPLD=ini_get('upload_max_filesize');



$nome = $prefixo."_".$_FILES['documento']['name'];

//-------------



if ($_SERVER["SERVER_ADDR"] == '127.0.0.1'){

$uploaddir = '../banner_eventos/images/';

$uploaddir_mini = '../fotos/mini/';

}else{

$uploaddir = '/home/msoftx/public_html/adrianosoutoimoveis.com.br/banner_eventos/images/';

$uploaddir_mini = '/home/msoftx/public_html/adrianosoutoimoveis.com.br/fotos/mini/';

}



    $foto = $_FILES['documento'];

   

   if(($foto['type'] == 'image/jpeg')||($foto['type'] == 'image/pjpeg')){

	   Redimensionar_jpeg_mini($foto, $nome, 150, $uploaddir_mini);

	   Redimensionar_jpeg_banner_outdoors($foto, $nome, 550, $uploaddir);

   }

   if($foto['type'] == 'image/gif'){

	   Redimensionar_gif($foto, $nome, 150, $uploaddir_mini);

	   Redimensionar_gif($foto, $nome, 680, $uploaddir);

   }

   if($foto['type'] == 'image/png'){

	   Redimensionar_png($foto, $nome, 150, $uploaddir_mini);

	   Redimensionar_png($foto, $nome, 680, $uploaddir);

   } 



//if (move_uploaded_file($_FILES['documento']['tmp_name'], $uploaddir . $nome)) {

//------inseri e faz update



$dt_arquivo = date("Y-m-d");

	

	$sql ="Insert banner_eventos_fotos set 

	caminho_foto='$nome',

	dt_foto='$dt_arquivo',

	fk_categoria='$id_c',

	categoria='$categoria',

	link='$link',

	ordem='$ordem',

	target='$target',

	dt_banner='$dt_banner'";

	$result = mysqli_query($conexao,$sql)

    or die ( mysqli_error($conexao));

	

	/* if($categoria=="noticia"){

	$sql ="Update noticias set 

	foto='s' where id='$id_c'";

	$result = mysqli_query($conexao,$sql)

    or die ( mysqli_error($conexao));

	} */

 

 $alerta = "Foto inserida com Sucesso!!";

?>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title><? echo $empresa; ?></title>

<meta name="Description" content="">

<meta name="Keywords" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<script language="JavaScript">

<!--



function Redireciona(){     // Redireciona p/ o arquivo especificado 

  alert("<? echo $alerta ?>");

  ///open('gera_banner_outdoors_xml.php?id_tcomp=<? //echo $id_c; ?>', '_top');

  open('cad_banner_eventos_alt.php?id_tcomp=<? echo $id_c; ?>', '_top');

}



// -->

</script>



</head>



<body onLoad="JavaScript:Redireciona()">





</body>

</html>

<?

/* 

} else {

print "<pre>";     

      print "<center><h><strong>Possível erro, verifique o tamanho do arquivo selecionado<strong></h></center>\n";

	  

	  print "<center><h><strong>Ele não deve ter mais de $MAXUPLD"."B ou seja 2.000 KB (Entendido...).<strong></h></center>\n";

    print_r($_FILES);

	print "<a href='$origem?id_tcomp=$id_c' target='_self'><center><img src='btn_voltar.gif' border=0></center></a>";

print "</pre>";

}

*/

?>